#
# spec file for package python-dockerpty
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define upstream_name dockerpty
Name:           python-dockerpty
Version:        0.4.1
Release:        7.2
Summary:        Docker API Client
License:        Apache-2.0
Group:          System/Management
Url:            https://pypi.python.org/pypi/dockerpty
Source0:        https://pypi.python.org/packages/source/d/dockerpty/%{upstream_name}-%{version}.tar.gz
Requires:       python-docker-py
Requires:       python-six >= 1.3.0
BuildRequires:  fdupes
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Provides the functionality needed to operate the pseudo-tty (PTY) allocated to
a docker container, using the Python client.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.md
%{python_sitelib}/*

%changelog
* Thu Feb 18 2016 eshmarnev@suse.com
- Update to version 0.4.2:
    no changelog available
* Fri Aug 14 2015 jmassaguerpla@suse.com
- Get source tarball from pypi as previous versions and as stated
  in the spec file
* Mon Jul 27 2015 hvogel@suse.com
- Updated to version 0.3.4 which fixes:
  - dockerpty causing docker-compose run to exit with return
    code 1?
    [https://github.com/d11wtq/dockerpty/issues/41]
    Which fixes:
  - docker-compose --rm always returns 1
    [https://github.com/docker/compose/issues/1424]
  - docker-compose run --rm does not remove container
    [https://github.com/docker/compose/issues/1483]
* Thu Apr  9 2015 fcastelli@suse.com
- Created initial package 0.3.2
